package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 * 热处理计划实体类
 * @author lzh 2015-7-20
 *
 */
public class HttPlan implements Serializable {
	/** VersionUID */
    private static final long serialVersionUID = 1L;
    
    /** 计划号 */
    private String rclBatchId;
    /** 产线编号 */
    private String proLineCode;
    /** 产线名称 */
    private String proLineName;
    /** 冶炼炉号 */
    private String  heatNo;
    /** 轧管批次号 */
    private String  rollBatchId;
    /** 计划状态 */
    private String status;
    /**耗时 */
    private String useTime; 
    /** 生产时间 */
    private String produceTime;
    /** 备注*/
    private String remark;
    /** 投入物料编码 */
    private String  inwlId;
    /**投入物料重量 */
    private String  inWeight; 
    /** 投入支数 */
    private String  inNum;
    /** 最大长度，长度上限*/
    private String  lengthMax;
    /** 最小长度 ，长度下限*/
    private String  lengthMin;
    
	private String beginTime;
    private String endTime;
	public String getRclBatchId() {
		return rclBatchId;
	}
	public void setRclBatchId(String rclBatchId) {
		this.rclBatchId = rclBatchId;
	}
	public String getProLineCode() {
		return proLineCode;
	}
	public void setProLineCode(String proLineCode) {
		this.proLineCode = proLineCode;
	}
	public String getProLineName() {
		return proLineName;
	}
	public void setProLineName(String proLineName) {
		this.proLineName = proLineName;
	}
	public String getHeatNo() {
		return heatNo;
	}
	public void setHeatNo(String heatNo) {
		this.heatNo = heatNo;
	}
	public String getRollBatchId() {
		return rollBatchId;
	}
	public void setRollBatchId(String rollBatchId) {
		this.rollBatchId = rollBatchId;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getUseTime() {
		return useTime;
	}
	public void setUseTime(String useTime) {
		this.useTime = useTime;
	}
	public String getProduceTime() {
		return produceTime;
	}
	public void setProduceTime(String produceTime) {
		this.produceTime = produceTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getInwlId() {
		return inwlId;
	}
	public void setInwlId(String inwlId) {
		this.inwlId = inwlId;
	}
	public String getInWeight() {
		return inWeight;
	}
	public void setInWeight(String inWeight) {
		this.inWeight = inWeight;
	}
	public String getInNum() {
		return inNum;
	}
	public void setInNum(String inNum) {
		this.inNum = inNum;
	}
	public String getLengthMax() {
		return lengthMax;
	}
	public void setLengthMax(String lengthMax) {
		this.lengthMax = lengthMax;
	}
	public String getLengthMin() {
		return lengthMin;
	}
	public void setLengthMin(String lengthMin) {
		this.lengthMin = lengthMin;
	}
	public String getBeginTime() {
		return beginTime;
	}
	public void setBeginTime(String beginTime) {
		this.beginTime = beginTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
    
}
